Eclipse Remote Application Platform

## org.eclipse.rap.rwt.lifecycle
Class ControlLCAUtil

    java.lang.Object
      org.eclipse.rap.rwt.lifecycle.ControlLCAUtil

    public class ControlLCAUtil

extends java.lang.Object

Utility class that provides a number of useful static methods to support the implementation of life cycle adapters (LCAs) for `Control`s.

Since:
  2.0
See Also:
  `WidgetLCAUtil`

Method Summary
`static void` `preserveBackgroundImage(Control control)` Preserves the value of the specified widget's background image.

`static void`

`preserveValues(Control control)`
Preserves the values of the following properties of the specified control: bounds z-index (except for Shells) tab index tool tip text menu visible enabled foreground background background image font cursor whether ControlListeners are registered whether ActivateListeners are registered whether MouseListeners are registered whether FocusListeners are registered whether KeyListeners are registered whether TraverseListeners are registered whether HelpListeners are registered whether MenuDetectListeners are registered

`static void` `processDefaultSelection(Widget widget, Item item)`
`static void` `processEvents(Control control)`
`static void` `processKeyEvents(Control control)`
`static void` `processMenuDetect(Control control)` Process a `HelpEvent` if the current request specifies that there occured a help event for the given `widget`.
`static void` `processMouseEvents(Control control)`
`static void` `processSelection(Widget widget, Item item, boolean readBounds)`
`static void` `readBounds(Control control)` Reads the bounds of the specified control from the current request and applies it to the control.
`static void` `renderBackground(Control control)` Determines whether the property `background` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side background property.
`static void` `renderBackgroundImage(Control control)` Determines whether the background image of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side background image property.
`static void` `renderBounds(Control control)` Determines whether the bounds of the given control have changed during the processing of the current request and if so, writes JavaScript code to the response that updates the client-side bounds.
`static void` `renderChanges(Control control)` Determines for all of the following properties of the specified control whether the property has changed during the processing of the current request and if so, writes a protocol message to the response that updates the corresponding client-side property.
`static void` `renderEnabled(Control control)` Determines whether the property `enabled` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side enabled property.
`static void` `renderFont(Control control)` Determines whether the property `font` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side font property.
`static void` `renderForeground(Control control)` Determines whether the property `foreground` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side foreground property.
`static void` `renderMenu(Control control)` Determines whether the property `menu` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side menu property.
`static void` `renderToolTip(Control control)` Determines whether the tool tip of the given control has changed during the processing of the current request and if so, writes JavaScript code to the response that updates the client-side tool tip.
`static void` `renderVisible(Control control)` Determines whether the visibility of the given control has changed during the processing of the current request and if so, writes JavaScript code to the response that updates the client-side visibility.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### readBounds

    public static void readBounds(Control control)

  Reads the bounds of the specified control from the current request and applies it to the control. If no bounds are not submitted for the control, it remains unchanged.

  Parameters:
    `control` - the control whose bounds to read and set

### processMenuDetect

    public static void processMenuDetect(Control control)

  Process a `HelpEvent` if the current request specifies that there occured a help event for the given `widget`.

  Parameters:
    `control` - the control to process

### processEvents

    public static void processEvents(Control control)

### processMouseEvents

    public static void processMouseEvents(Control control)

### processKeyEvents

    public static void processKeyEvents(Control control)

### processSelection

    public static void processSelection(Widget widget,
                                        Item item,
                                        boolean readBounds)

### processDefaultSelection

    public static void processDefaultSelection(Widget widget,
                                               Item item)

### preserveValues

    public static void preserveValues(Control control)

  Preserves the values of the following properties of the specified control:
  - bounds
  - z-index (except for Shells)
  - tab index
  - tool tip text
  - menu
  - visible
  - enabled
  - foreground
  - background
  - background image
  - font
  - cursor
  - whether ControlListeners are registered
  - whether ActivateListeners are registered
  - whether MouseListeners are registered
  - whether FocusListeners are registered
  - whether KeyListeners are registered
  - whether TraverseListeners are registered
  - whether HelpListeners are registered
  - whether MenuDetectListeners are registered

  Parameters:
    `control` - the control whose parameters to preserve
  See Also:
    `renderChanges(Control)`

### preserveBackgroundImage

    public static void preserveBackgroundImage(Control control)

  Preserves the value of the specified widget's background image.

  Parameters:
    `control` - the control whose background image property to preserve
  See Also:
    `renderBackgroundImage(Control)`

### renderChanges

    public static void renderChanges(Control control)

  Determines for all of the following properties of the specified control whether the property has changed during the processing of the current request and if so, writes a protocol message to the response that updates the corresponding client-side property.
  - bounds
  - z-index (except for Shells)
  - tab index
  - tool tip text
  - menu
  - visible
  - enabled
  - foreground
  - background
  - background image
  - font
  - cursor
  - whether ActivateListeners are registered
  - whether MouseListeners are registered
  - whether FocusListeners are registered
  - whether KeyListeners are registered
  - whether TraverseListeners are registered
  - whether HelpListeners are registered

  Parameters:
    `control` - the control whose properties to set
  See Also:
    `preserveValues(Control)`

### renderBounds

    public static void renderBounds(Control control)

  Determines whether the bounds of the given control have changed during the processing of the current request and if so, writes JavaScript code to the response that updates the client-side bounds.

  Parameters:
    `control` - the control whose bounds to write

### renderToolTip

    public static void renderToolTip(Control control)

  Determines whether the tool tip of the given control has changed during the processing of the current request and if so, writes JavaScript code to the response that updates the client-side tool tip.

  Parameters:
    `control` - the control whose tool tip to write

### renderMenu

    public static void renderMenu(Control control)

  Determines whether the property `menu` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side menu property.

  Parameters:
    `control` - the control whose menu property to write

### renderVisible

    public static void renderVisible(Control control)

  Determines whether the visibility of the given control has changed during the processing of the current request and if so, writes JavaScript code to the response that updates the client-side visibility.

  Parameters:
    `control` - the control whose visibility to write

### renderEnabled

    public static void renderEnabled(Control control)

  Determines whether the property `enabled` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side enabled property.

  Parameters:
    `control` - the control whose enabled property to write

### renderForeground

    public static void renderForeground(Control control)

  Determines whether the property `foreground` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side foreground property.

  Parameters:
    `control` - the control whose foreground property to write

### renderBackground

    public static void renderBackground(Control control)

  Determines whether the property `background` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side background property.

  Parameters:
    `control` - the control whose background property to write

### renderBackgroundImage

    public static void renderBackgroundImage(Control control)

  Determines whether the background image of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side background image property.

  Parameters:
    `control` - the control whose background image property to write

### renderFont

    public static void renderFont(Control control)

  Determines whether the property `font` of the given control has changed during the processing of the current request and if so, writes a protocol message to the response that updates the client-side font property.

  Parameters:
    `control` - the control whose font property to write

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0